# Type Alias WidgetCoverSlide

type WidgetCoverSlide = {
button?: Record<string, string | number | boolean>;
css?: Record<string, string | number>;
id?: number;
opacityColor?: string;
opacityFilter?: number;
text?: string;
textColor?: string;
title?: string;
titleHeading?: HeadingType;
}

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:5

##### Index

### Properties

button?
css?
id?
opacityColor?
opacityFilter?
text?
textColor?
title?
titleHeading?

## Properties

### `Optional` button

button?: Record<string, string | number | boolean>

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:13

### `Optional` css

css?: Record<string, string | number>

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:14

### `Optional` id

id?: number

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:6

### `Optional` opacityColor

opacityColor?: string

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:12

### `Optional` opacityFilter

opacityFilter?: number

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:11

### `Optional` text

text?: string

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:9

### `Optional` textColor

textColor?: string

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:10

### `Optional` title

title?: string

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:7

### `Optional` titleHeading

titleHeading?: HeadingType

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:8